org.apache.calcite.avatica.proto

## Class Common.WireMessage.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>
      - - org.apache.calcite.avatica.proto.Common.WireMessage.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Common.WireMessageOrBuilder

Enclosing class:
  Common.WireMessage

    public static final class Common.WireMessage.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>
    implements Common.WireMessageOrBuilder

     Message which encapsulates another message to support a single RPC endpoint

Protobuf type `WireMessage`

### Field Summary

Fields
`private Object` `name_`
`private com.google.protobuf.ByteString` `wrappedMessage_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Common.WireMessage.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.WireMessage` `build()`
`Common.WireMessage` `buildPartial()`
`Common.WireMessage.Builder` `clear()`
`Common.WireMessage.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.WireMessage.Builder` `clearName()` `string name = 1;`
`Common.WireMessage.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.WireMessage.Builder` `clearWrappedMessage()` `bytes wrapped_message = 2;`
`Common.WireMessage.Builder` `clone()`
`Common.WireMessage` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getName()` `string name = 1;`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 1;`
`com.google.protobuf.ByteString` `getWrappedMessage()` `bytes wrapped_message = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.WireMessage.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.WireMessage.Builder` `mergeFrom(Common.WireMessage other)`
`Common.WireMessage.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Common.WireMessage.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.WireMessage.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.WireMessage.Builder` `setName(String value)` `string name = 1;`
`Common.WireMessage.Builder` `setNameBytes(com.google.protobuf.ByteString value)` `string name = 1;`
`Common.WireMessage.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Common.WireMessage.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.WireMessage.Builder` `setWrappedMessage(com.google.protobuf.ByteString value)` `bytes wrapped_message = 2;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### name_

    private Object name_

#### wrappedMessage_

    private com.google.protobuf.ByteString wrappedMessage_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.WireMessage.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>`

#### getDefaultInstanceForType

    public Common.WireMessage getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.WireMessage build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.WireMessage buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.WireMessage.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>`

#### setField

    public Common.WireMessage.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>`

#### clearField

    public Common.WireMessage.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>`

#### clearOneof

    public Common.WireMessage.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>`

#### setRepeatedField

    public Common.WireMessage.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       int index,
                                                       Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>`

#### addRepeatedField

    public Common.WireMessage.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>`

#### mergeFrom

    public Common.WireMessage.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.WireMessage.Builder>`

#### mergeFrom

    public Common.WireMessage.Builder mergeFrom(Common.WireMessage other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>`

#### mergeFrom

    public Common.WireMessage.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.WireMessage.Builder>`
Throws:
  `IOException`

#### getName

    public String getName()

`string name = 1;`

Specified by:
  `getName` in interface `Common.WireMessageOrBuilder`

#### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

`string name = 1;`

Specified by:
  `getNameBytes` in interface `Common.WireMessageOrBuilder`

#### setName

    public Common.WireMessage.Builder setName(String value)

`string name = 1;`

#### clearName

    public Common.WireMessage.Builder clearName()

`string name = 1;`

#### setNameBytes

    public Common.WireMessage.Builder setNameBytes(com.google.protobuf.ByteString value)

`string name = 1;`

#### getWrappedMessage

    public com.google.protobuf.ByteString getWrappedMessage()

`bytes wrapped_message = 2;`

Specified by:
  `getWrappedMessage` in interface `Common.WireMessageOrBuilder`

#### setWrappedMessage

    public Common.WireMessage.Builder setWrappedMessage(com.google.protobuf.ByteString value)

`bytes wrapped_message = 2;`

#### clearWrappedMessage

    public Common.WireMessage.Builder clearWrappedMessage()

`bytes wrapped_message = 2;`

#### setUnknownFields

    public final Common.WireMessage.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>`

#### mergeUnknownFields

    public final Common.WireMessage.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.WireMessage.Builder>`